<?php
session_start();

//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
set_time_limit(3000); 
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
$accion=$_REQUEST["accion"];
$detalle=$_REQUEST["detalle"];


//Entrada del campo de la fecha del c�lculo: Periodo: dd-mm-aaaa al dd-mm-aaaa ($detalle)
//Long. 33
/*
        $d_in=substr($detalle,9,2);
        $m_in=substr($detalle,12,2);
        $a_in=substr($detalle,15,4);
 
       $d_fi=substr($detalle,23,2);
       $m_fi=substr($detalle,26,2);
       $a_fi=substr($detalle,29,4);
   
   */
  $d_in=intval(substr($detalle,9,2));
  $m_in= intval(substr($detalle,12,2));
  $a_in= intval(substr($detalle,15,4));

  $d_fi= intval(substr($detalle,23,2));
  $m_fi= intval(substr($detalle,26,2));
  $a_fi= intval(substr($detalle,29,4));

//Ajuste de la entrada para comparar con el campo desperiodo de hist�rico que est� como: Periodo: aaaa-mm-dd- al aaaa-mm-dd 

//$f_periodo=$a_in.'-'.$m_in.'-'.$d_in.' al '.$a_fi.'-'.$m_fi.'-'.$d_fi;

	
//print_r($m_in);die();
//$f_ini=substr($detalle,10,19);
//$ini_pe=date_format(substr($f_ini,10,19)'Y-m-d');
//print_r($ini_pe);die();

//================================================================= grabar cierre de utilidades
if ($accion==2 ) {
	$query = "delete from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."'";
	$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
}

menu();

echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/icono_07.png' alt='Elimina'>:Eliminar Item
&nbsp;&nbsp;<img border = 0 src='img2/apuntes.png' alt='Imprimir'>:Imprimir Resumen
&nbsp;&nbsp;<img border = 0 src='img2/icono_02.png' alt='Imprimir'>:Imprimir Recibos
</font><hr>";

echo "<center><br><h2>Reportes de C&aacute;lculos de Utilidades Anuales</h2></center>";
$entra=0;

echo "
	<br><form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>
	<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
	<input type='hidden' name='bandera' value = '1'>
	<table align='center'>";

			echo "<tr >";
				echo "<td align = 'righta' > Fecha del Pago: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecha","entrada",$valor);
				echo "</td>";
			echo "</tr>";
				
			$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
			$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
			$resultado = mysqli_num_rows($consulta);
			echo "<tr><td align = 'righta'> N&oacute;mina: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'nomina'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td></tr>";
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
/*			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/

			echo "<tr >";
				echo "<td align = 'righta' > Fec/Ingreso Trabajador: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecing","entrada",$valor);
				echo "</td>";
			echo "</tr>";
				
			echo "<tr><td align='righta'>Descripci&oacute;n:</td>";
			echo "<td align='left'><input style='width:300px;' name='detalle' size = '35' maxlength = '50' value='Periodo: 01-01-".(date("Y")." al 31-12-".date("Y"))."'></td></tr>";		
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:30px; width:200px' value='Generar y Guardar'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
			
if ($_POST['bandera']=='1') {
///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	

		$fecha = crear_fecha($_POST['fecha']);
		$query = "select * from utilidades where id='".$_SESSION['id_validar']."' and detalle='".$detalle."'";
		$consulta = mysqli_query($enlace,$query) or die ("no se pudo realizar la consulta...");	
		if (mysqli_num_rows($consulta)!=0) {
			$mensaje = "Detalle existe en Historico de Utilidades Guardadas...Verifique";
			echo "<center><font style='color:red; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";	
			exit();
		}
		/////////////////////////////////////////////// imprimir PAYROLL
		$payroll="z_utilid_".trim($_SESSION['usuario_validar']).trim($_SESSION['id_validar']);
		$consulta=mysqli_query($enlace,"create table if not exists `".$payroll."` (
					  `cedula` varchar(8) NOT NULL,
					  `concepto` varchar(4) NOT NULL,
					  `desconcepto` varchar(50) NOT NULL,
					  `tipo` varchar(1) NOT NULL,
					  `monto` decimal(18,2) NOT NULL,
					  `saldo` decimal(18,2) NOT NULL,
					  `cantidad` decimal(18,2) NOT NULL,
					  `nomina` varchar(3) NOT NULL,
					  `desnomina` varchar(50) NOT NULL,
					  `departamento` varchar(10) NOT NULL,
					  `unidad` varchar(10) NOT NULL,
					  `cargo` varchar(6) NOT NULL,
					  `turno` varchar(4) NOT NULL,
					  `periodo` varchar(3) NOT NULL,
					  `desperiodo` varchar(50) NOT NULL
					) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
		$consulta=mysqli_query($enlace,"delete from `".$payroll."`");
		
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$duti=$row['duti'];
			$ince=$row['ince'];
			$gerencia=$row['gerencia'];
			$tasa_usd=$row['tasa_usd'];
			$tasa_usd_2=$row['tasa_usd_2'];
		}   
		
		if (substr($_POST['nomina'],0,3)=='100'){
		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='100' order by periodo DESC limit 1");
		}else{
			$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina!='100' order by periodo DESC limit 1");
		}
			
		//$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';$cortededu=0;$cortepdvsa=0;
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$cortededu=($row['deduccion']=='2'?1:0);
			$periodo=$row['periodo'];
			$lunes=$row['lunes'];
			$desperiodo=$row['desde'].' al '.$row['hasta'];
		} 
		
		$fing = crear_fecha($_POST['fecing']);
		$query="where id='".$_SESSION['id_validar']."' and status<>'I' AND status<>'S' and fechai<='".$fing."' "; 
		if ($nomina!=100) $query.=" and nomina!= 100 ";///nominas mensuales todas
		if ($nomina == 100) $query.=" and nomina='".$nomina."' ";//nomina semanal
		if ($_POST['cedula']!="") $query.=" and codigo='".$_POST['cedula']."' ";
		if ($_POST['gerencia']!="") $query.=" and gerencia='".substr($_POST['gerencia'],0,4)."' ";
		if ($_POST['division']!="") $query.=" and division='".substr($_POST['division'],0,4)."' ";
		if ($_POST['departamento']!="") $query.=" and departamento='".substr($_POST['departamento'],0,4)."' ";
		$queryinicial="select * from personal ".$query." order by codigo";
		/*
		if (substr($_POST['nomina'],0,3)=='100'){
		$queryinicial="select * from personal ".$query." AND nomina!='100' order by codigo";
		}else{
			$queryinicial="select * from personal ".$query." AND nomina!='100' order by codigo";
		}
		*/

		///////Se necesita hacer delete a [constante_individual] del concepto 8000, 8001 y el 8002 where id = id empresa para limpiar esos datos--Miguelangel
		
		
		$consulborrar = "Delete from constante_individual where id='".$_SESSION['id_validar']."' and codigo IN( '8000','8001', '8002' , '7999') ";
		$resultborrar = mysqli_query($enlace, $consulborrar); 

		$iniper= substr($detalle,9,10);
        $finper= substr($detalle,23,10);
        $fe_inipe=new DateTime($iniper);
		$fe_finpe=new DateTime($finper);
		
		$hoy = date("Y-m-d H:i:s");    
		$fe_hoy= new DateTime($hoy);
		
		if ($fe_hoy<$fe_finpe){
			   $fe_finpe=$fe_hoy;					
			}
			
		// Calcular la diferencia entre las fechas
        $diferencia = $fe_inipe->diff($fe_finpe);
		//numero de meses entre las dos fechas
        $varfe=$diferencia->m + 1 ;
		
		
        $mes_anterior = date('m', strtotime('-1 month')); 
		$a_actual = date("Y"); 
		$consulnuev=mysqli_query($enlace, "select codigo as cedula, fechai as fechaing from personal where id='".$_SESSION['id_validar']."' and status <> 'I' AND fechai <= '".$fing."'  "  );      
		while($rowcon=mysqli_fetch_array($consulnuev)) {
			$tcedula=$rowcon['cedula'];
			$fech_ing=$rowcon['fechaing'];
			$newfech_i = new DateTime($fech_ing);
			//$anno = date("Y");
			/////Consulta en hist+orico del total devengado por el periodo determinado e inserci�n en la tabla de constante individual del concepto 8009 ---Betsy
			
			$consuldev="Select sum(monto) as total, nomina as nomin from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND substr(concepto,1,1)='1' and cast(substr(desperiodo,20,2) as unsigned)>=$m_in and cast(substr(desperiodo,20,2) as unsigned)<=$m_fi and cast(substr(desperiodo,15,4) as unsigned)=$a_fi having sum(monto) > 0";			
			$resultdev = mysqli_query($enlace, $consuldev) or die ("no se pudo realizar la consulta...".$consuldev.'='.mysqli_error($enlace)); 			
			///echo " consul es: ".$consuldev ;
			if (mysqli_num_rows($resultdev)!=0) {
			   $rowdev=mysqli_fetch_array($resultdev);
			   $totaldev=$rowdev['total'];
			   $nomin=$rowdev['nomin'];
			   $codig='8001';
            }
            $consuldev1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";		
			$consuldev1 .="values ('".$_SESSION['id_validar']."','".$codig."','".$tcedula."','".$nomin."','".$totaldev."')";
			mysqli_query($enlace, $consuldev1) or die ($consuldev1.mysqli_error($enlace));	 

			
			////consulta para bsucar lo pagado por bonif especial devengado en los meses activo para el corte de utilidades 
			$consulusE="Select sum(monto) as total, nomina as nomin from historico_pagos_especiales where historico_pagos_especiales.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico_pagos_especiales.concepto='1821' and cast(substr(fecha_registro,6,2) as unsigned)>=$m_in and cast(substr(fecha_registro,6,2) as unsigned)<=$m_fi and cast(substr(fecha_registro,1,4) as unsigned)=$a_fi ";		  
		   $resultusE = mysqli_query($enlace, $consulusE) or die ("no se pudo realizar la consulta...".$consulusE.'='.mysqli_error($enlace));

		  //// echo " LA consulta " . $consulusE ;
		   
		   if (mysqli_num_rows($resultusE)!=0) {  	
   		      $rowusE=mysqli_fetch_array($resultusE);  		
			  $totalusE=$rowusE['total'];  			   	
			  $nomin=$rowusE['nomin'];  			   
			  $codigusE='7999';
				}  	
			  $consulus1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";  	
			  $consulus1 .="values ('".$_SESSION['id_validar']."','".$codigusE."','".$tcedula."','".$nomin."','".$totalusE."')";  				
			  mysqli_query($enlace, $consulus1) or die ($consulus1.mysqli_error($enlace));


				   		  
            
			////Consulta para traer el último salario devengado del último mes anterior
		   $consulus="Select sum(monto) as total, nomina as nomin from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND substr(concepto,1,1)='1' and substr(desperiodo,20,2)='".$mes_anterior."' and substr(desperiodo,15,4)='".$a_actual."' ";		  
		   $resultus = mysqli_query($enlace, $consulus) or die ("no se pudo realizar la consulta...".$consulus.'='.mysqli_error($enlace));
		   
		   if (mysqli_num_rows($resultus)!=0) {  	
   		      $rowus=mysqli_fetch_array($resultus);  		
			  $totalus=$rowus['total'];  			   	
			  $nomin=$rowus['nomin'];  			   
			  $codigus='8000';
				}  	
			  $consulus1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";  	
			  $consulus1 .="values ('".$_SESSION['id_validar']."','".$codigus."','".$tcedula."','".$nomin."','".$totalus."')";  				
			  mysqli_query($enlace, $consulus1) or die ($consulus1.mysqli_error($enlace));
							
		
			
			  if ($newfech_i>$fe_inipe){
				$diferencia = $newfech_i->diff($fe_finpe);
				$varfe=$diferencia->m + 1 ;
							
			}
			
			////consulta para buscar el promedio devengado en los meses activo para el corte de utilidades 
			$consulprmen="Select sum(monto) as total, nomina as nomin from historico where historico.id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND historico.tipo='A' AND substr(concepto,1,1)='1' and cast(substr(desperiodo,20,2) as unsigned)>=$m_in and cast(substr(desperiodo,20,2) as unsigned)<=$m_fi and cast(substr(desperiodo,15,4) as unsigned)=$a_fi ";		  
		    $resultprmen = mysqli_query($enlace, $consulprmen) or die ("no se pudo realizar la consulta...".$consulprmen.'='.mysqli_error($enlace)); 		       if (mysqli_num_rows($resultprmen)!=0) {  	
   		        $rowprmen=mysqli_fetch_array($resultprmen);  		
			    $totalprmen=$rowprmen['total']/$varfe;  			   	
			    $nomin=$rowprmen['nomin'];  			   
			    $codigprmen='8002';         			 }  	
		    $consulprmen1  ="insert into constante_individual (id,codigo,cedula,nomina,monto) ";  	
			$consulprmen1 .="values ('".$_SESSION['id_validar']."','".$codigprmen."','".$tcedula."','".$nomin."','".$totalprmen."')";  				
			mysqli_query($enlace,$consulprmen1) or die ($consulprmen1.mysqli_error($enlace));


		}							

		//========================================================//	
		//========================================================//	
		//========================================================//
		$_POST['tipoproceso']=2;		
		include("proceso_formula.php");
		//========================================================//	
		//========================================================//	
		//========================================================//	

		/////////////////////////////////////////////// filtros de eliminacion INDIVIDUAL
		$query="select * from concepto_empleado where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where cedula='".$rowemp['cedula']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto individual	
		/////////////////////////////////////////////// filtros de eliminacion NOMINA
		$query="select * from concepto_nomina where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where nomina='".$rowemp['nomina']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto nomina	
		/////////////////////////////////////////////// filtros de eliminacion PERIODO
		$query="select * from concepto_periodo where id='".$_SESSION['id_validar']."' ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			$query="delete from $payroll where periodo='".$rowemp['periodo']."' and concepto = '".$rowemp['codigo']."'";
			$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
		} // fin ciclo de concepto periodo	
		
		/////////////////////////////////////////////// filtros de eliminacion POR MONTO = 0
		$query="delete from $payroll where monto=0";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		/////////////////////////////////////////////// filtros de eliminacion POR CONDICION
		$qpersonal = mysqli_query($enlace,$queryinicial) or die ($queryinicial.':>'.mysqli_error($enlace));
		while ($rowp = mysqli_fetch_array($qpersonal)) {
			$query="select * from concepto_condicion where id='".$_SESSION['id_validar']."' order by codigo";
			$qcondicion = mysqli_query($enlace,$query) or die ($query);
			while ($rowcondicion=mysqli_fetch_array($qcondicion)) {
				if (substr($rowcondicion['valor1'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor1'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto1=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto1=$rowvalor['monto'];
					}
				} else $monto1 = $rowcondicion['valor1']+0;
				if (substr($rowcondicion['valor2'],0,1)=='C') {
					$query="select * from $payroll where cedula='".$rowp['codigo']."' and concepto = '".substr($rowcondicion['valor2'],1,4)."'";
					$qvalor = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
					$nvalor = mysqli_num_rows($qvalor);
					if ($nvalor==0) $monto2=0;
					else {
							$rowvalor=mysqli_fetch_array($qvalor);
							$monto2=$rowvalor['monto'];
					}
				} else $monto2 = $rowcondicion['valor2']+0;
				$elimina=0;

				//if (trim($rowcondicion['codigo'])=='C8000' || trim($rowcondicion['codigo'])=='C8001') {
				//	echo $monto1."-->".$monto2;
				//}
				
				if ($rowcondicion['condicion']=='=') $elimina=($monto1==$monto2)?1:0;
				if ($rowcondicion['condicion']=='<') $elimina=($monto1<$monto2)?1:0;
				if ($rowcondicion['condicion']=='>') $elimina=($monto1>$monto2)?1:0;
				if ($rowcondicion['condicion']=='>=') $elimina=($monto1>=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<=') $elimina=($monto1<=$monto2)?1:0;
				if ($rowcondicion['condicion']=='<>') $elimina=($monto1!=$monto2)?1:0;
				if ($elimina == 1) {
					$query="delete from $payroll where cedula='".$rowp['codigo']."' and concepto = '".$rowcondicion['codigo']."'";
					$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
				}
				} // fin ciclo de concepto condicion
		}
		/////////////////////////////////////////////// filtros de eliminacion POR SOLO UTILIDADES
		$query="select codigo,acumula from concepto where id='".$_SESSION['id_validar']."'  ";
		$qempleado = mysqli_query($enlace,$query) or die ($query);
		while ($rowemp=mysqli_fetch_array($qempleado)) {
			if (trim($rowemp['acumula'])=='NO') {
				$query="delete from $payroll where concepto = '".$rowemp['codigo']."'";
				$rempleado = mysqli_query($enlace,$query) or die ($query.':>'.mysqli_error($enlace));
			}	
		} // fin ciclo de concepto periodo	
		
		
		$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' and nomina='".substr($_POST['nomina'],0,3)."' order by periodo DESC limit 1");
		$nomina='';$periodo='';$desnomina='';$desperiodo='';
		$nomina=substr($_POST['nomina'],0,3);
		$desnomina=substr($_POST['nomina'],6,50);
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$periodo=$row['periodo'];
			$_POST['cierre']=$row['pre'];
			$desperiodo=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta']);
		} 
		/////////////////////////////////////////////// filtros de eliminacion POR TIPOR DE CONCEPTO = REPORTE
		//$query="delete from $payroll where tipo='R'";
		//$qempleado = mysqli_query($enlace,$query) or die ($query);
		$_POST['cierre']==1;
		
		/////////////////////////////////////////////// imprimir PAYROLL
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['empresal']=$row['nombre'];
			$_POST['ince']=$row['ince'];
			$_POST['pie']=$row['pie'];
			$_POST['derecho']=$row['derecho'];
			$_POST['encabeza']=$row['encabeza'];
			$duti=$row['duti'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}   
		$_POST['periodo']=$periodo.' - '.$desperiodo;

		//======================================================================== grabar
		//======================================================================== grabar
		//======================================================================== grabar
		$consulta=mysqli_query($enlace,"select * from $payroll order by cedula"  );
		while($row=mysqli_fetch_array($consulta)) {
			$tcedula=$row['cedula'];
			$tdep=''; $tdiv=''; $tger='';
			$consul1=mysqli_query($enlace,"select nombres,apellidos,sso,gerencia,departamento,division from personal where id='".$_SESSION['id_validar']."' and codigo=".$tcedula );
			if (mysqli_num_rows($consul1)<>0) {
				$row1=mysqli_fetch_array($consul1);
				$tdep=$row1['departamento'];
				$tdiv=$row1['division'];
				$tger=$row1['gerencia'];
			}
			$consul1  ="insert into utilidades (id, cedula,fecha,detalle,nomina,departamento,gerencia,division,tipo,concepto,desconcepto,cantidad,monto) ";
			$consul1 .="values ('".$_SESSION['id_validar']."','".$tcedula."','".$fecha."','".$_POST['detalle']."','".substr($_POST['nomina'],0,3)."','".$tdep."','".$tger."','".$tdiv."','".$row['tipo']."','".$row['concepto']."','".$row['desconcepto']."','".$row['cantidad']."','".$row['monto']."')";
			mysqli_query($enlace,$consul1) or die ($consul1.mysqli_error($enlace));

			$consulUtil=mysqli_query($enlace,"select monto, concepto from utilidades where id='".$_SESSION['id_validar']."' and cedula='".$tcedula."' AND concepto='8006'");
			if (mysqli_num_rows($consulUtil)<>0) {
				$rowUtil=mysqli_fetch_array($consulUtil);
				$montoUtil=$rowUtil['monto'];
				$conceptoUtil=$rowUtil['concepto'];
			

			
			//$consul2  ="insert into pagos_especiales_usd (id, codigo,monto,concepto,fecha_registro) ";
			//$consul2 .="values ('".$_SESSION['id_validar']."','".$tcedula."','".$montoUtil."','".$conceptoUtil."','".$fecha."') ";
			//mysqli_query($enlace,$consul2) or die ($consul2.mysqli_error($enlace));			
			}
			
		}
		$mensaje = "Cierre Efectuado...";

				
} // fin de ingreso

		echo "<h3><font color='red'><center> Atención!!!</center></font></h3>";
		echo "<h4><center> El orden de los procesos de Utilidades en este informe ha cambiado, los encontrará desde el mas reciente al mas antiguo y separados por tipo de nómina.</center></h4>";

/////vamos a separar este informe en vista por tipo de nÃ³mina -- Miguelangel 09/02/2023

////// Inicia para nÃ³mina Diaria
$consulta="select distinct fecha, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 100 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<th  colspan=8 align = center><font face='verdana' size=2> NOMINA DIARIA</font></th>";
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th align = center><font face='verdana' size=2> #</font></th>";
		
		echo "<th align = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th align = center><font face='verdana' size=2> N&oacute;mina</font></th>";
		echo "<th align = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th colspan=4 align = center><font face='verdana' size=2> Acci&oacute;n </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				//echo "<td width='20'>".$row['nomina']."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";

				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}
				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";
				
				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar �ste registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";
				
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/apuntes.png' alt='Imprimir �ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono_02.png' alt='Imprimir �ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='txt_pago_utilidades.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono-text.jpg' alt='Generar txt'></a></td>";
				echo '</tr>';				
				
				
			}
		echo '</tr></table></form>';

}		
//////////Fin de nomina diaria

////////////Inicia nomina Mensual
$consulta="select distinct fecha, detalle, nomina from utilidades where id='".$_SESSION['id_validar']."' AND nomina = 200 order by fecha DESC";
$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<br><table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<th  colspan=8 align = center><font face='verdana' size=2> NOMINA MENSUAL </font></th>";
		echo "</tr>";
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th align = center><font face='verdana' size=2> #</font></th>";
		echo "<th align = center><font face='verdana' size=2> Fecha de Pago</font></th>";
		echo "<th align = center><font face='verdana' size=2> N&oacute;mina</font></th>";

		echo "<th align = center><font face='verdana' size=2> Detalle</font></th>";
		echo "<th colspan=4 align = center><font face='verdana' size=2> Acci&oacute;n </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				//echo "<td width='20'>".$row['nomina']."</td>";
				echo "<td width='100'>".mostrar_fecha($row['fecha'])."</td>";

				if ($row['nomina']==100)
				{
				$nominaUt='Diaria';
				}
				elseif ($row['nomina']==200){
				$nominaUt='Mensual';
				}
				echo "<td width='20'>".$nominaUt."</td>";
				echo "<td width='350'>".$row['detalle']."</td>";
				
				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&detalle=".$row['detalle']."'><img  border = 0  src='img2/icono_07.png'alt='eliminar �ste registro' ></a></td>";
				else echo "<td width='30' align='center'>&nbsp;</td>";
				
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_resumen.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/apuntes.png' alt='Imprimir �ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='calculo_utilidades_imprimir_recibo.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono_02.png' alt='Imprimir �ste registro'></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='txt_pago_utilidades.php?pago=".$row['fecha']."&detalle=".$row['detalle']."'><img border = 0 src='img2/icono-text.jpg' alt='Generar txt'></a></td>";
				echo '</tr>';				
				
				
			}
		echo '</tr></table></form>';

		
}  		
mysqli_free_result($resultado);	

?>
